<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="android.view.View" />

        <variable
            name="viewModel"
            type="com.example.nimble.viewmodel.SurveyViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@android:color/black">

        <!-- MAIN CONTENT -->
        <com.example.nimble.view.custom.MySwipeRefreshLayout
            android:id="@+id/swipeRefreshLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:visibility="@{viewModel.loadingLiveData ? View.GONE : View.VISIBLE}">

            <androidx.viewpager2.widget.ViewPager2
                android:id="@+id/viewPager"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />
        </com.example.nimble.view.custom.MySwipeRefreshLayout>


        <FrameLayout
            android:id="@+id/gradientBg"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@drawable/gradient_bg"
            android:visibility="@{viewModel.loadingLiveData ? View.GONE : View.VISIBLE}" />

        <!-- TOP LEFT -->
        <TextView
            android:id="@+id/tvDateTime"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:layout_marginTop="61dp"
            android:fontFamily="@font/neuzeitsltstd"
            android:letterSpacing="-0.08"
            android:text="@{viewModel.dateString}"
            android:textAllCaps="true"
            android:textColor="@android:color/white"
            android:textFontWeight="800"
            android:textSize="13sp"
            android:visibility="@{viewModel.loadingLiveData ? View.GONE : View.VISIBLE}"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="Monday, June 15" />

        <TextView
            android:id="@+id/tvToday"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="4dp"
            android:fontFamily="@font/neuzeitsltstd"
            android:letterSpacing="-0.08"
            android:text="@string/today"
            android:textColor="@android:color/white"
            android:textFontWeight="800"
            android:textSize="34sp"
            android:visibility="@{viewModel.loadingLiveData ? View.GONE : View.VISIBLE}"
            app:layout_constraintLeft_toLeftOf="@+id/tvDateTime"
            app:layout_constraintTop_toBottomOf="@+id/tvDateTime" />
        <!-- END TOP LEFT -->

        <ImageView
            android:id="@+id/loaderTopRight"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_marginEnd="20dp"
            android:src="@drawable/user_pic_demo"
            android:visibility="@{viewModel.loadingLiveData ? View.GONE : View.VISIBLE}"
            app:layout_constraintBottom_toBottomOf="@+id/tvToday"
            app:layout_constraintRight_toRightOf="parent" />

        <com.google.android.material.tabs.TabLayout
            android:id="@+id/tlIndicator"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_marginEnd="20dp"
            android:layout_marginBottom="16dp"
            android:background="@android:color/transparent"
            android:clipToPadding="false"
            android:padding="0dp"
            android:visibility="@{viewModel.loadingLiveData ? View.GONE : View.VISIBLE}"
            app:layout_constraintBottom_toTopOf="@+id/tvTitle"
            app:tabBackground="@drawable/tab_selector"
            app:tabGravity="start"
            app:tabIndicatorHeight="0dp"
            app:tabMinWidth="18dp"
            app:tabMode="scrollable" />

        <TextView
            android:id="@+id/tvTitle"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:layout_marginEnd="20dp"
            android:ellipsize="end"
            android:fontFamily="@font/neuzeitsltstd"
            android:maxLines="2"
            android:text="@{viewModel.currentItem.title}"
            android:textColor="@android:color/white"
            android:textFontWeight="800"
            android:textSize="28sp"
            android:textStyle="bold"
            android:visibility="@{viewModel.loadingLiveData ? View.GONE : View.VISIBLE}"
            app:layout_constraintBottom_toTopOf="@+id/tvDescription"
            app:layout_constraintLeft_toLeftOf="@+id/tvDescription"
            tools:text="Test title" />

        <TextView
            android:id="@+id/tvDescription"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:layout_marginTop="16dp"
            android:layout_marginEnd="8dp"
            android:ellipsize="end"
            android:fontFamily="@font/neuzeitsltstd"
            android:maxLines="2"
            android:text="@{viewModel.currentItem.description}"
            android:textColor="#B3FFFFFF"
            android:textFontWeight="400"
            android:textSize="17sp"
            android:visibility="@{viewModel.loadingLiveData ? View.GONE : View.VISIBLE}"
            app:layout_constraintBottom_toBottomOf="@+id/btnDetail"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toLeftOf="@+id/btnDetail"
            tools:text="Description" />

        <ImageButton
            android:id="@+id/btnDetail"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_alignParentBottom="true"
            android:layout_marginEnd="20dp"
            android:layout_marginBottom="54dp"
            android:background="@android:color/transparent"
            android:ellipsize="end"
            android:maxLines="2"
            android:onClick="@{() -> viewModel.onSurveyItemClick(viewModel.currentItem)}"
            android:src="@drawable/action_next"
            android:visibility="@{viewModel.loadingLiveData ? View.GONE : View.VISIBLE}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintRight_toRightOf="parent" />

        <TextView
            android:id="@+id/tvNoresult"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:layout_gravity="center"
            android:text="@string/no_result"
            android:textColor="@android:color/black"
            android:textSize="32sp"
            android:visibility="@{viewModel.noResultState ? View.VISIBLE : View.GONE}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
        <!-- END MAIN CONTENT -->

        <include
            android:id="@+id/mainLoading"
            layout="@layout/shimmer_placeholder_layout"
            android:visibility="@{viewModel.loadingLiveData ? View.VISIBLE : View.GONE}" />


    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>